diff --git a/src/main/java/net/minecraft/client/gui/guidebook/smelting/BlastSmeltingPage.java b/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
similarity index 75%
rename from src/main/java/net/minecraft/client/gui/guidebook/smelting/BlastSmeltingPage.java
rename to src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
index e96a029d4..457ad2004 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/smelting/BlastSmeltingPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
@@ -3,13 +3,13 @@ package net.minecraft.client.gui.guidebook.smelting;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ItemElement;
 import net.minecraft.client.gui.TooltipElement;
-import net.minecraft.client.gui.guidebook.GuidebookScreen;
+import net.minecraft.client.gui.guidebook.GuidebookPageManager;
+import net.minecraft.client.gui.guidebook.ScreenGuidebook;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
-import net.minecraft.client.gui.guidebook.PageManager;
 import net.minecraft.client.gui.guidebook.RecipePage;
-import net.minecraft.client.gui.guidebook.search.SearchPage;
+import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.core.achievement.Achievements;
@@ -19,7 +19,7 @@ import net.minecraft.core.data.registry.recipe.entry.RecipeEntryBlastFurnace;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.slot.Slot;
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
@@ -28,17 +28,17 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
-public class BlastSmeltingPage
+public class RecipePageBlastSmelting
     extends RecipePage<RecipeEntryBlastFurnace> {
     public static final int RECIPES_PER_PAGE = 6;
-    public List<GuidebookSlot> slots;
-    public Map<RecipeEntryBlastFurnace,List<GuidebookSlot>> map;
+    public List<SlotGuidebook> slots;
+    public Map<RecipeEntryBlastFurnace,List<SlotGuidebook>> map;
     private final TooltipElement tooltipElement;
     private final ItemElement itemElement;
     private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
     private static Player player;
     private static long ticks = 0;
-    public BlastSmeltingPage(GuidebookSection section, ArrayList<RecipeEntryBlastFurnace> recipes) {
+    public RecipePageBlastSmelting(GuidebookSection section, ArrayList<RecipeEntryBlastFurnace> recipes) {
         super(section);
         this.recipes = recipes;
         this.slots = new ArrayList<>();
@@ -49,9 +49,9 @@ public class BlastSmeltingPage
         itemElement = new ItemElement(mc);
 
         for (RecipeEntryBlastFurnace recipe : recipes) {
-            List<GuidebookSlot> recipeSlots = new ArrayList<>();
-            recipeSlots.add(new GuidebookSlot(0, (width/2)-32, 32*(map.size()+1)-16, recipe.getInput(), false,recipe));
-            recipeSlots.add(new GuidebookSlot(1, (width/2)+24, 32*(map.size()+1)-16, new RecipeSymbol(recipe.getOutput()), false,recipe));
+            List<SlotGuidebook> recipeSlots = new ArrayList<>();
+            recipeSlots.add(new SlotGuidebook(0, (width/2)-32, 32*(map.size()+1)-16, recipe.getInput(), false,recipe));
+            recipeSlots.add(new SlotGuidebook(1, (width/2)+24, 32*(map.size()+1)-16, new RecipeSymbol(recipe.getOutput()), false,recipe));
             map.put(recipe,recipeSlots);
             slots.addAll(recipeSlots);
         }
@@ -60,7 +60,7 @@ public class BlastSmeltingPage
     @Override
     public void onTick() {
         ticks++;
-        for (GuidebookSlot slot : slots) {
+        for (SlotGuidebook slot : slots) {
             if(ticks > 20) {
                 slot.showRandomItem();
                 if(slots.get(slots.size()-1) == slot){
@@ -75,8 +75,8 @@ public class BlastSmeltingPage
         if(recipes.isEmpty()){
             drawStringCenteredNoShadow(fr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes") ,x+width/2,y+height/2,0xFF808080);
         }
-        GuidebookSlot mouseOverSlot = null;
-        for (GuidebookSlot slot : slots) {
+        SlotGuidebook mouseOverSlot = null;
+        for (SlotGuidebook slot : slots) {
             drawSlot(x+slot.x -1,y+slot.y -1,0xFFFFFFFF);
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
             itemElement.render(slot.getItem(),x+slot.x,y+slot.y,mouseOverSlot == slot,slot);
@@ -92,32 +92,32 @@ public class BlastSmeltingPage
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
         if(mc.gameSettings.keyShowRecipe.isKeyboardKey(key)){
-            GuidebookSlot hoveringSlot= null;
-            for (GuidebookSlot slot : slots) {
+            SlotGuidebook hoveringSlot= null;
+            for (SlotGuidebook slot : slots) {
                 if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
             }
             if(hoveringSlot != null){
                 if(hoveringSlot.hasItem()){
                     String query = "r:"+hoveringSlot.getItem().getDisplayName()+"!";
-                    PageManager.searchQuery = SearchQuery.resolve(query);
-                    SearchPage.searchField.setText(query);
-                    GuidebookScreen.getPageManager().updatePages();
-                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
+                    GuidebookPageSearch.searchField.setText(query);
+                    ScreenGuidebook.getPageManager().updatePages();
+                    ScreenGuidebook.getPageManager().setCurrentPage(ScreenGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                     return true;
                 }
             }
         } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
-            GuidebookSlot hoveringSlot= null;
-            for (GuidebookSlot slot : slots) {
+            SlotGuidebook hoveringSlot= null;
+            for (SlotGuidebook slot : slots) {
                 if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
             }
             if(hoveringSlot != null) {
                 if (hoveringSlot.hasItem()) {
                     String query = "u:" + hoveringSlot.getItem().getDisplayName() + "!";
-                    PageManager.searchQuery = SearchQuery.resolve(query);
-                    SearchPage.searchField.setText(query);
-                    GuidebookScreen.getPageManager().updatePages();
-                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
+                    GuidebookPageSearch.searchField.setText(query);
+                    ScreenGuidebook.getPageManager().updatePages();
+                    ScreenGuidebook.getPageManager().setCurrentPage(ScreenGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                     return true;
                 }
             }
@@ -137,7 +137,7 @@ public class BlastSmeltingPage
         re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
         for (int i = 1; i <= recipes.size(); i++) {
             RecipeEntryBlastFurnace recipe = recipes.get(i-1);
-            List<GuidebookSlot> list = map.get(recipe);
+            List<SlotGuidebook> list = map.get(recipe);
             drawTexturedModalRect(x + list.get(list.size()-1).x - 32, y +  list.get(list.size()-1).y, 234, 0, 22, 15);
         }
     }
@@ -145,8 +145,8 @@ public class BlastSmeltingPage
     @Override
     protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
-        GuidebookSlot mouseOverSlot = null;
-        for (GuidebookSlot slot : slots) {
+        SlotGuidebook mouseOverSlot = null;
+        for (SlotGuidebook slot : slots) {
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
             GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             if (mouseOverSlot != null && mouseOverSlot.hasItem())
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java b/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
similarity index 75%
rename from src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java
rename to src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
index b5d971905..589bc8551 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
@@ -3,13 +3,13 @@ package net.minecraft.client.gui.guidebook.smelting;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ItemElement;
 import net.minecraft.client.gui.TooltipElement;
-import net.minecraft.client.gui.guidebook.GuidebookScreen;
+import net.minecraft.client.gui.guidebook.GuidebookPageManager;
+import net.minecraft.client.gui.guidebook.ScreenGuidebook;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
-import net.minecraft.client.gui.guidebook.PageManager;
 import net.minecraft.client.gui.guidebook.RecipePage;
-import net.minecraft.client.gui.guidebook.search.SearchPage;
+import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.core.achievement.Achievements;
@@ -19,7 +19,7 @@ import net.minecraft.core.data.registry.recipe.entry.RecipeEntryFurnace;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.slot.Slot;
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
@@ -28,17 +28,17 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
-public class SmeltingPage
+public class RecipePageSmelting
     extends RecipePage<RecipeEntryFurnace> {
     public static final int RECIPES_PER_PAGE = 6;
-    public List<GuidebookSlot> slots;
-    public Map<RecipeEntryFurnace,List<GuidebookSlot>> map;
+    public List<SlotGuidebook> slots;
+    public Map<RecipeEntryFurnace,List<SlotGuidebook>> map;
     private final TooltipElement tooltipElement;
     private final ItemElement itemElement;
     private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
     private static Player player;
     private static long ticks = 0;
-    public SmeltingPage(GuidebookSection section, ArrayList<RecipeEntryFurnace> recipes) {
+    public RecipePageSmelting(GuidebookSection section, ArrayList<RecipeEntryFurnace> recipes) {
         super(section);
         this.recipes = recipes;
         this.slots = new ArrayList<>();
@@ -49,9 +49,9 @@ public class SmeltingPage
         itemElement = new ItemElement(mc);
 
         for (RecipeEntryFurnace recipe : recipes) {
-            List<GuidebookSlot> recipeSlots = new ArrayList<>();
-            recipeSlots.add(new GuidebookSlot(0, (width/2)-32, 32*(map.size()+1)-16, recipe.getInput(), false,recipe));
-            recipeSlots.add(new GuidebookSlot(1, (width/2)+24, 32*(map.size()+1)-16, new RecipeSymbol(recipe.getOutput()), false,recipe));
+            List<SlotGuidebook> recipeSlots = new ArrayList<>();
+            recipeSlots.add(new SlotGuidebook(0, (width/2)-32, 32*(map.size()+1)-16, recipe.getInput(), false,recipe));
+            recipeSlots.add(new SlotGuidebook(1, (width/2)+24, 32*(map.size()+1)-16, new RecipeSymbol(recipe.getOutput()), false,recipe));
             map.put(recipe,recipeSlots);
             slots.addAll(recipeSlots);
         }
@@ -60,7 +60,7 @@ public class SmeltingPage
     @Override
     public void onTick() {
         ticks++;
-        for (GuidebookSlot slot : slots) {
+        for (SlotGuidebook slot : slots) {
             if(ticks > 20) {
                 slot.showRandomItem();
                 if(slots.get(slots.size()-1) == slot){
@@ -75,8 +75,8 @@ public class SmeltingPage
         if(recipes.isEmpty()){
             drawStringCenteredNoShadow(fr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes") ,x+width/2,y+height/2,0xFF808080);
         }
-        GuidebookSlot mouseOverSlot = null;
-        for (GuidebookSlot slot : slots) {
+        SlotGuidebook mouseOverSlot = null;
+        for (SlotGuidebook slot : slots) {
             drawSlot(x+slot.x -1,y+slot.y -1,0xFFFFFFFF);
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
             itemElement.render(slot.getItem(),x+slot.x,y+slot.y,mouseOverSlot == slot,slot);
@@ -92,32 +92,32 @@ public class SmeltingPage
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
         if(mc.gameSettings.keyShowRecipe.isKeyboardKey(key)){
-            GuidebookSlot hoveringSlot= null;
-            for (GuidebookSlot slot : slots) {
+            SlotGuidebook hoveringSlot= null;
+            for (SlotGuidebook slot : slots) {
                 if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
             }
             if(hoveringSlot != null){
                 if(hoveringSlot.hasItem()){
                     String query = "r:"+hoveringSlot.getItem().getDisplayName()+"!";
-                    PageManager.searchQuery = SearchQuery.resolve(query);
-                    SearchPage.searchField.setText(query);
-                    GuidebookScreen.getPageManager().updatePages();
-                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
+                    GuidebookPageSearch.searchField.setText(query);
+                    ScreenGuidebook.getPageManager().updatePages();
+                    ScreenGuidebook.getPageManager().setCurrentPage(ScreenGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                     return true;
                 }
             }
         } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
-            GuidebookSlot hoveringSlot= null;
-            for (GuidebookSlot slot : slots) {
+            SlotGuidebook hoveringSlot= null;
+            for (SlotGuidebook slot : slots) {
                 if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
             }
             if(hoveringSlot != null) {
                 if (hoveringSlot.hasItem()) {
                     String query = "u:" + hoveringSlot.getItem().getDisplayName() + "!";
-                    PageManager.searchQuery = SearchQuery.resolve(query);
-                    SearchPage.searchField.setText(query);
-                    GuidebookScreen.getPageManager().updatePages();
-                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
+                    GuidebookPageSearch.searchField.setText(query);
+                    ScreenGuidebook.getPageManager().updatePages();
+                    ScreenGuidebook.getPageManager().setCurrentPage(ScreenGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                     return true;
                 }
             }
@@ -137,7 +137,7 @@ public class SmeltingPage
         re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
         for (int i = 1; i <= recipes.size(); i++) {
             RecipeEntryFurnace recipe = recipes.get(i-1);
-            List<GuidebookSlot> list = map.get(recipe);
+            List<SlotGuidebook> list = map.get(recipe);
             drawTexturedModalRect(x + list.get(list.size()-1).x - 32, y +  list.get(list.size()-1).y, 234, 0, 22, 15);
         }
     }
@@ -145,8 +145,8 @@ public class SmeltingPage
     @Override
     protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
-        GuidebookSlot mouseOverSlot = null;
-        for (GuidebookSlot slot : slots) {
+        SlotGuidebook mouseOverSlot = null;
+        for (SlotGuidebook slot : slots) {
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
             GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             if (mouseOverSlot != null && mouseOverSlot.hasItem())
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/trommeling/TrommelSection.java b/src/main/java/net/minecraft/client/gui/guidebook/trommeling/GuidebookSectionTrommel.java
similarity index 76%
rename from src/main/java/net/minecraft/client/gui/guidebook/trommeling/TrommelSection.java
rename to src/main/java/net/minecraft/client/gui/guidebook/trommeling/GuidebookSectionTrommel.java
index 8b4f7f31a..f60bdfa02 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/trommeling/TrommelSection.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/trommeling/GuidebookSectionTrommel.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui.guidebook.trommeling;
 
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.SearchableGuidebookSection;
-import net.minecraft.client.gui.guidebook.crafting.CraftingPage;
+import net.minecraft.client.gui.guidebook.crafting.RecipePageCrafting;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryTrommel;
 import net.minecraft.core.data.registry.Registries;
@@ -14,12 +14,12 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Objects;
 
-public class TrommelSection
+public class GuidebookSectionTrommel
     extends SearchableGuidebookSection {
     private final List<GuidebookPage> pages = new ArrayList<>();
     private Pair<String,List<GuidebookPage>> filteredPages = null;
 
-    public TrommelSection(String translationKey, ItemStack tabIcon, int bgColor, int fgColor) {
+    public GuidebookSectionTrommel(String translationKey, ItemStack tabIcon, int bgColor, int fgColor) {
         super(translationKey, tabIcon, bgColor, fgColor);
         reloadRecipes();
     }
@@ -36,12 +36,12 @@ public class TrommelSection
             }
             ArrayList<GuidebookPage> filteredPages = new ArrayList<>();
             int filteredRecipeSize = filteredRecipes.size();
-            int filteredPageCount = MathHelper.ceilInt(filteredRecipeSize, CraftingPage.RECIPES_PER_PAGE);
+            int filteredPageCount = MathHelper.ceilInt(filteredRecipeSize, RecipePageCrafting.RECIPES_PER_PAGE);
             for (int i = 0; i < filteredPageCount; i++) {
-                int j = i * TrommelPage.RECIPES_PER_PAGE;
-                ArrayList<RecipeEntryTrommel> recipes = new ArrayList<>(filteredRecipes.subList(j, Math.min(Math.min(j, filteredRecipeSize) + TrommelPage.RECIPES_PER_PAGE, filteredRecipeSize)));
+                int j = i * RecipePageTrommel.RECIPES_PER_PAGE;
+                ArrayList<RecipeEntryTrommel> recipes = new ArrayList<>(filteredRecipes.subList(j, Math.min(Math.min(j, filteredRecipeSize) + RecipePageTrommel.RECIPES_PER_PAGE, filteredRecipeSize)));
                 if (recipes.size() > 0) {
-                    filteredPages.add(new TrommelPage(this, recipes));
+                    filteredPages.add(new RecipePageTrommel(this, recipes));
                 }
             }
             this.filteredPages = Pair.of(query.rawQuery, filteredPages);
@@ -55,11 +55,11 @@ public class TrommelSection
         pages.clear();
         List<RecipeEntryTrommel> allRecipes = new ArrayList<>(Registries.RECIPES.getAllTrommelRecipes());
         int totalRecipes = allRecipes.size();
-        int totalPages = MathHelper.ceilInt(totalRecipes, TrommelPage.RECIPES_PER_PAGE);
+        int totalPages = MathHelper.ceilInt(totalRecipes, RecipePageTrommel.RECIPES_PER_PAGE);
         for (int i = 0; i < totalPages; i++) {
-            int j = i* TrommelPage.RECIPES_PER_PAGE;
-            ArrayList<RecipeEntryTrommel> recipes = new ArrayList<>(allRecipes.subList(Math.min(j, totalRecipes),Math.min(j+ TrommelPage.RECIPES_PER_PAGE, totalRecipes)));
-            pages.add(new TrommelPage(this,recipes));
+            int j = i* RecipePageTrommel.RECIPES_PER_PAGE;
+            ArrayList<RecipeEntryTrommel> recipes = new ArrayList<>(allRecipes.subList(Math.min(j, totalRecipes),Math.min(j+ RecipePageTrommel.RECIPES_PER_PAGE, totalRecipes)));
+            pages.add(new RecipePageTrommel(this,recipes));
         }
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/trommeling/TrommelPage.java b/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
similarity index 80%
rename from src/main/java/net/minecraft/client/gui/guidebook/trommeling/TrommelPage.java
rename to src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
index cc59a242f..d84e43c28 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/trommeling/TrommelPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
@@ -3,13 +3,13 @@ package net.minecraft.client.gui.guidebook.trommeling;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ItemElement;
 import net.minecraft.client.gui.TooltipElement;
-import net.minecraft.client.gui.guidebook.GuidebookScreen;
+import net.minecraft.client.gui.guidebook.GuidebookPageManager;
+import net.minecraft.client.gui.guidebook.ScreenGuidebook;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
-import net.minecraft.client.gui.guidebook.PageManager;
 import net.minecraft.client.gui.guidebook.RecipePage;
-import net.minecraft.client.gui.guidebook.search.SearchPage;
+import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.core.WeightedRandomBag;
@@ -22,7 +22,7 @@ import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.slot.Slot;
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
@@ -31,11 +31,11 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
-public class TrommelPage
+public class RecipePageTrommel
     extends RecipePage<RecipeEntryTrommel> {
     public static final int RECIPES_PER_PAGE = 3;
-    public List<GuidebookSlot> slots;
-    public Map<RecipeEntryTrommel,List<GuidebookSlot>> map;
+    public List<SlotGuidebook> slots;
+    public Map<RecipeEntryTrommel,List<SlotGuidebook>> map;
     private final TooltipElement tooltipElement;
     private final ItemElement itemElement;
     private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
@@ -43,7 +43,7 @@ public class TrommelPage
     private static long ticks = 0;
     private static long ticks2 = 0;
 
-    public TrommelPage(GuidebookSection section, List<RecipeEntryTrommel> recipes) {
+    public RecipePageTrommel(GuidebookSection section, List<RecipeEntryTrommel> recipes) {
         super(section);
         this.recipes = recipes;
         this.slots = new ArrayList<>();
@@ -55,21 +55,21 @@ public class TrommelPage
         int recipeAmount = 0;
         int yOffset = 8;
         for (RecipeEntryTrommel recipe : recipes) {
-            List<GuidebookSlot> recipeSlots = new ArrayList<>();
+            List<SlotGuidebook> recipeSlots = new ArrayList<>();
             int slotsAmount = 10;
 
             for (int i = 0; i < slotsAmount - 1; i++)
             {
                 if(recipe.getOutput().getEntries().size() > i){
                     ItemStack stack = recipe.getOutput().getEntries().get(i).getItemStack();
-                    recipeSlots.add(new GuidebookSlot(i, 81 + 20 * (i % 3), 1 + 20 * ((i / 3)+recipeAmount*3) + yOffset, new RecipeSymbol(stack), false,recipe).setAsOutput());
+                    recipeSlots.add(new SlotGuidebook(i, 81 + 20 * (i % 3), 1 + 20 * ((i / 3)+recipeAmount*3) + yOffset, new RecipeSymbol(stack), false,recipe).setAsOutput());
                 } else {
-                    recipeSlots.add(new GuidebookSlot(i, 81 + 20 * (i % 3), 1 + 20 * ((i / 3)+recipeAmount*3) + yOffset, null, false,recipe).setAsOutput());
+                    recipeSlots.add(new SlotGuidebook(i, 81 + 20 * (i % 3), 1 + 20 * ((i / 3)+recipeAmount*3) + yOffset, null, false,recipe).setAsOutput());
                 }
             }
 
             int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-8).y) / 2;
-            recipeSlots.add(new GuidebookSlot(slotsAmount - 1, 19, centerY,recipe.getInput(), false,recipe));
+            recipeSlots.add(new SlotGuidebook(slotsAmount - 1, 19, centerY,recipe.getInput(), false,recipe));
 
             map.put(recipe,recipeSlots);
             slots.addAll(recipeSlots);
@@ -82,7 +82,7 @@ public class TrommelPage
     @Override
     public void onTick() {
         ticks++;
-        for (GuidebookSlot slot : slots) {
+        for (SlotGuidebook slot : slots) {
             if(ticks > 20) {
                 slot.showRandomItem();
                 if(slots.get(slots.size()-1) == slot){
@@ -94,7 +94,7 @@ public class TrommelPage
         ticks2++;
         if(ticks2 > 25) {
             ticks2 = 0;
-            for (GuidebookSlot slot : slots) {
+            for (SlotGuidebook slot : slots) {
                 if (slot.recipe instanceof RecipeEntryTrommel) {
                     RecipeSymbol input = (RecipeSymbol) slot.recipe.getInput();
                     if (!input.matches(slot.getItem())) {
@@ -124,8 +124,8 @@ public class TrommelPage
         if(recipes.isEmpty()){
             drawStringCenteredNoShadow(fr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes") ,x+width/2,y+height/2,0xFF808080);
         }
-        GuidebookSlot mouseOverSlot = null;
-        for (GuidebookSlot slot : slots) {
+        SlotGuidebook mouseOverSlot = null;
+        for (SlotGuidebook slot : slots) {
             drawSlot(x+slot.x -1,y+slot.y -1,0xFFFFFFFF);
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
             itemElement.render(slot.getItem(),x+slot.x,y+slot.y,mouseOverSlot == slot,slot);
@@ -141,32 +141,32 @@ public class TrommelPage
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
         if(mc.gameSettings.keyShowRecipe.isKeyboardKey(key)){
-            GuidebookSlot hoveringSlot= null;
-            for (GuidebookSlot slot : slots) {
+            SlotGuidebook hoveringSlot= null;
+            for (SlotGuidebook slot : slots) {
                 if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
             }
             if(hoveringSlot != null){
                 if(hoveringSlot.hasItem()){
                     String query = "r:"+hoveringSlot.getItem().getDisplayName()+"!";
-                    PageManager.searchQuery = SearchQuery.resolve(query);
-                    SearchPage.searchField.setText(query);
-                    GuidebookScreen.getPageManager().updatePages();
-                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
+                    GuidebookPageSearch.searchField.setText(query);
+                    ScreenGuidebook.getPageManager().updatePages();
+                    ScreenGuidebook.getPageManager().setCurrentPage(ScreenGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                     return true;
                 }
             }
         } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
-            GuidebookSlot hoveringSlot= null;
-            for (GuidebookSlot slot : slots) {
+            SlotGuidebook hoveringSlot= null;
+            for (SlotGuidebook slot : slots) {
                 if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
             }
             if(hoveringSlot != null) {
                 if (hoveringSlot.hasItem()) {
                     String query = "u:" + hoveringSlot.getItem().getDisplayName() + "!";
-                    PageManager.searchQuery = SearchQuery.resolve(query);
-                    SearchPage.searchField.setText(query);
-                    GuidebookScreen.getPageManager().updatePages();
-                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
+                    GuidebookPageSearch.searchField.setText(query);
+                    ScreenGuidebook.getPageManager().updatePages();
+                    ScreenGuidebook.getPageManager().setCurrentPage(ScreenGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                     return true;
                 }
             }
@@ -186,7 +186,7 @@ public class TrommelPage
         re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
         for (int i = 1; i <= recipes.size(); i++) {
             RecipeEntryTrommel recipe = recipes.get(i-1);
-            List<GuidebookSlot> list = map.get(recipe);
+            List<SlotGuidebook> list = map.get(recipe);
             drawTexturedModalRect(x + list.get(list.size()-1).x + 25, y +  list.get(list.size()-1).y, 234, 0, 22, 15);
         }
     }
@@ -194,8 +194,8 @@ public class TrommelPage
     @Override
     protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
-        GuidebookSlot mouseOverSlot = null;
-        for (GuidebookSlot slot : slots) {
+        SlotGuidebook mouseOverSlot = null;
+        for (SlotGuidebook slot : slots) {
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
             GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             if (mouseOverSlot != null && mouseOverSlot.hasItem())
